#!/bin/sh

# Check that a model name has been provided as a parameter to the script
if [ $# -eq 0 ]; then
    echo "Usage:$0 <all|diesel|steam|broken>"
    exit
fi

GFX="$PWD/gfx"
SCMDIR="$PWD/gimp_scripts"
GPLDIR="$PWD/gimp_palettes"
GIMPRC="/tmp/gimprc.smoke"
DIESEL="$GFX/diesel_*.png"
STEAM="$GFX/steam_*.png"
BROKEN="$GFX/broken_*.png"
D_CROPX1=30
D_CROPY1=39
D_CROPX2=241
D_CROPY2=285
S_CROPX1=64
S_CROPY1=53
S_CROPX2=219
S_CROPY2=287
B_CROPX1=92
B_CROPY1=128
B_CROPX2=247
B_CROPY2=254

cat > $GIMPRC << EOF
(script-fu-path "\${gimp_dir}/scripts:\${gimp_data_dir}/scripts:$SCMDIR")
(palette-path "\${gimp_dir}/palettes:\${gimp_data_dir}/palettes:$GPLDIR")
EOF

case $1 in
    all)
        GIMP_OUTPUT="$(gimp -i -g $GIMPRC -b "(batch-crop \"$DIESEL\" $D_CROPX1 $D_CROPY1 $D_CROPX2 $D_CROPY2)" -b "(gimp-quit 0)" 2>&1)"
        GIMP_OUTPUT="$(gimp -i -g $GIMPRC -b "(batch-crop \"$STEAM\" $S_CROPX1 $S_CROPY1 $S_CROPX2 $S_CROPY2)" -b "(gimp-quit 0)" 2>&1)"
        GIMP_OUTPUT="$(gimp -i -g $GIMPRC -b "(batch-crop \"$BROKEN\" $B_CROPX1 $B_CROPY1 $B_CROPX2 $B_CROPY2)" -b "(gimp-quit 0)" 2>&1)"
        ;;
    diesel)
        GIMP_OUTPUT="$(gimp -i -g $GIMPRC -b "(batch-crop \"$DIESEL\" $D_CROPX1 $D_CROPY1 $D_CROPX2 $D_CROPY2)" -b "(gimp-quit 0)" 2>&1)"
        ;;
    steam)
        GIMP_OUTPUT="$(gimp -i -g $GIMPRC -b "(batch-crop \"$STEAM\" $S_CROPX1 $S_CROPY1 $S_CROPX2 $S_CROPY2)" -b "(gimp-quit 0)" 2>&1)"
        ;;
    broken)
        GIMP_OUTPUT="$(gimp -i -g $GIMPRC -b "(batch-crop \"$BROKEN\" $B_CROPX1 $B_CROPY1 $B_CROPX2 $B_CROPY2)" -b "(gimp-quit 0)" 2>&1)"
        ;;
    *)
        ;;
esac

